| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Enumerations
SoundSwitch.cpp File Reference
`#include <time.h>`
`#include "command_classes/CommandClasses.h"`
`#include "command_classes/SoundSwitch.h"`
`#include "Defs.h"`
`#include "Msg.h"`
`#include "Node.h"`
`#include "Driver.h"`
`#include "platform/Log.h"`
`#include "value_classes/ValueByte.h"`

## Enumerations
enum | SoundSwitchCmd { SoundSwitchCmd_Tones_Number_Get = 0x01 , SoundSwitchCmd_Tones_Number_Report = 0x02 , SoundSwitchCmd_Tones_Info_Get = 0x03 , SoundSwitchCmd_Tones_Info_Report = 0x04 , SoundSwitchCmd_Tones_Config_Set = 0x05 , SoundSwitchCmd_Tones_Config_Get = 0x06 , soundSwitchCmd_Tones_Config_Report = 0x07 , SoundSwitchCmd_Tones_Play_Set = 0x08 , SoundSwitchCmd_Tones_Play_Report = 0x0A }
enum | { SoundSwitchIndex_Tone_Count = 0 , SoundSwitchIndex_Tones = 1 , SoundSwitchIndex_Volume = 2 , SoundSwitchIndex_Default_Tone = 3 }

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
SoundSwitchIndex_Tone_Count |
SoundSwitchIndex_Tones |
SoundSwitchIndex_Volume |
SoundSwitchIndex_Default_Tone |

## ◆ SoundSwitchCmd

enum SoundSwitchCmd

Enumerator
SoundSwitchCmd_Tones_Number_Get |
SoundSwitchCmd_Tones_Number_Report |
SoundSwitchCmd_Tones_Info_Get |
SoundSwitchCmd_Tones_Info_Report |
SoundSwitchCmd_Tones_Config_Set |
SoundSwitchCmd_Tones_Config_Get |
soundSwitchCmd_Tones_Config_Report |
SoundSwitchCmd_Tones_Play_Set |
SoundSwitchCmd_Tones_Play_Report |